Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text inside emacs and then middle clicking outside of Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Mar 2024 09:12:09 +0300

merge 70073 70072
thanks

[Please always use Reply All to reply, to keep the bug tracker CC'ed.]

> Date: Fri, 29 Mar 2024 19:53:40 +0100 (CET)
> From: "Abraham S.A.H." <[email-masked]>
> 
> > Thank you for your report, but these backtraces can only be
> > interpreted on your system.  So either convert them to human-readable
> > lists of file names, line numbers, and function names as described in
> > the node "Crashing" of the Emacs user manual, or run Emacs from GDB,
> > and when Emacs crashes, type "bt" at the GDB prompt and post the
> > backtrace produced by GDB.
> 
> The least I could do.  
> 
> That's the end of the day in my time — Tehran's time. I will do it again 
> with GDB as you instructed, tomorrow.  
> 
> > This says you invoked Emacs with --debug-init, not with -Q.  Which one
> > is correct?
> 
> It's saying right.  When I ran the bug report command, Emacs was invoked 
> with both `-Q` and `--debug-init` flags.  But the issue and backtrace is the 
> same, nonetheless.
> 
> > Is this different from bug#70072 that you submitted a few minutes ago,
> > or is this the same problem?  It sounds almost the same problem, just
> > triggered in 2 different ways.
> 
> Exactly, it seems to be the same issue, triggered in 2 different ways.  
> Even the crash backtrace is the same.

I'm therefore merging the two bugs.

> By the way!  I have tried `emacs-pgtk-native-comp-git` of AUR, which is
> Emacs dev master branch (30.0.50.171462) with PGTK and I could NOT
> reproduce the bug.  This is the only available package of Emacs dev branch
> with PGTK enabled, in Arch Linux.